## org.eclipse.emf.cdo.spi.server
Class ContainerRepositoryProvider

    java.lang.Object
      org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider

All Implemented Interfaces:
  IRepositoryProvider

Direct Known Subclasses:
  PluginRepositoryProvider

    public class ContainerRepositoryProvider

extends java.lang.Object
implements IRepositoryProvider

Since:
  2.0

Constructor Summary
`ContainerRepositoryProvider(org.eclipse.net4j.util.container.IManagedContainer container)`

Method Summary
`org.eclipse.net4j.util.container.IManagedContainer` `getContainer()`
`IRepository` `getRepository(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerRepositoryProvider

    public ContainerRepositoryProvider(org.eclipse.net4j.util.container.IManagedContainer container)

Method Detail

### getContainer

    public org.eclipse.net4j.util.container.IManagedContainer getContainer()

### getRepository

    public IRepository getRepository(java.lang.String name)

  Specified by:
    `getRepository` in interface `IRepositoryProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.